# -*- coding: utf-8 -*-
from setuphelpers import *

# registry key(s) where WAPT will find how to remove the application(s)
#uninstallkey = ['Ekiga','GTK2-Runtime']

def install():
    print('installing gtk+ runtime')
    run(r'"gtk+-2.22-setup.exe" /S')
    print('installing tis-ekiga')
    run(r'"ekiga-setup-4.0.1+.exe" /S')

def uninstall():
    #clink register a .dll with cmd.exe, so we cannot use run() which is based on shell cmd
    run([makepath(programfiles32,r'\GTK2-Runtime\gtk2_runtime_uninst.exe'),'/S'])
    run([makepath(programfiles32,r'\Ekiga\ekiga-uninst.exe'),'/S'])
    wait_uninstallkey_absent(key='GTK2-Runtime')
    wait_uninstallkey_absent(key='Ekiga')

def update_package():
    wget('http://srvtemplates.ad.tranquil.it/binary_cache/gtk%2B-2.22-setup.exe','gtk+-2.22-setup.exe',sha256='1e39823c31a4d00f7ac3f2601aecdeb7315db04f965b6895204d9ae8a3766a1f')
    wget('http://srvtemplates.ad.tranquil.it/binary_cache/ekiga-setup-4.0.1%2B.exe','ekiga-setup-4.0.1+.exe',sha256='334044d5b5f4e37631adcb0dca2bf13b3bede4e60bb0f0ffaea318ef73b34e6b')